std::tr2::direct_bases< _Tp >(3)

NAME
std::tr2::direct_bases< _Tp > - Enumerate all the direct base classes of a class. Form of a typelist.

SYNOPSIS

  Public Types
typedef __reflection_typelist< __direct_bases(_Tp)... > type

Detailed Description

  template<typename _Tp>
struct std::tr2::direct_bases< _Tp >" Enumerate all the direct base classes of a class. Form of a typelist.

Definition at line 95 of file tr2/type_traits.

Author

Generated automatically by Doxygen for libstdc++ from the source code.